=== PLUGINS/src/webvideo-0.0.5/debian/changelog ===
vdr-plugin-webvideo (0.0.5-1) unstable; urgency=low

  * New release

 -- Antti Ajanki <antti.ajanki@iki.fi>  Tue, 2 Sep 2008 21:41:50 +0300

vdr-plugin-webvideo (0.0.4-1) unstable; urgency=low

  * New release

 -- Antti Ajanki <antti.ajanki@iki.fi>  Thu, 21 Aug 2008 12:29:38 +0300

vdr-plugin-webvideo (0.0.3-1) unstable; urgency=low

  * New release

 -- Antti Ajanki <antti.ajanki@iki.fi>  Tue, 19 Aug 2008 18:19:19 +0300

vdr-plugin-webvideo (0.0.2-1) unstable; urgency=low

  * New release

 -- Antti Ajanki <antti.ajanki@iki.fi>  Thu, 24 Jul 2008 20:44:15 +0300

vdr-plugin-webvideo (0.0.1-1) unstable; urgency=low

  * Initial release

 -- Antti Ajanki <antti.ajanki@iki.fi>  Wed,  25 Jun 2008 17:53:54 +0300
