=== PLUGINS/src/webvideo-0.0.5/debian/control ===
Source: vdr-plugin-webvideo
Section: misc
Priority: extra
Maintainer: Antti Ajanki <antti.ajanki@iki.fi>
Build-Depends: cdbs, debhelper (>= 5), vdr-dev (>= 1.6.0-1ctvdr8), gettext, libxml2-dev, libxslt1-dev, libcurl-dev | libcurl-ssl-dev, libmms-dev (>= 0.0.4-2), libglib2.0-dev
Standards-Version: 3.7.2
Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-webvideo/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-webvideo/trunk/
Homepage: <http://users.tkk.fi/~aajanki/vdr/webvideo>

Package: vdr-plugin-webvideo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR plugin for downloading videos from the Web
 This plugin for the Linux Video Disc Recorder (VDR) provides ability
 to download video files from popular video sharing websites, such as
 YouTube or Google Video.
XB-VDR-Patchlevel: ${vdr:Patchlevel}
